Bug 696169 - The GUI shows version "none" for all resources
The GUI shows version "none" for all resources
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-04-13 09:21 EDT by Lukas Krejci
Modified: 2013-08-05 20:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:08:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2011-04-13 09:21:47 EDT
Description of problem:

On the resource details page, the version field always shows "none" regardless of what actually present in the database.

How reproducible:
always

Steps to Reproduce:
1. inventory a linux platform
2. look at the resource details, exand the triangle icon to see the traits
  
Actual results:
version is "none"

Expected results:
the platform plugin reports the version correctly and it is stored correctly in the database. The version should therefore be shown in the GUI.

Additional info:
Comment 1 Ian Springer 2011-04-14 17:20:08 EDT
[master 1bbe263] fixes this. 

There was a similar issue with the Location field, which is also fixed by the same commit.
Comment 2 Ian Springer 2011-04-18 14:48:41 EDT
Note, there was a related issue where the Name, Location, and Description fields in the summary area would render as " " if their values were null. I think Jay's change to SimpleEditableFormItem as part of [master 1b76728] should have fixed that issue.
Comment 3 Mike Foley 2011-04-18 15:40:57 EDT
i am not seeing this fix in the 4/18 build.  For a Linux platform resource, I see:

version=none  ...unexpected.
location=    ... unexpected.
description field ... Linux Operating System.

Discussed with Ian.  Can you take one more look at this Ian?  The version displaying as "none" was unexpected.
Comment 4 Ian Springer 2011-04-21 16:48:12 EDT
Here's what I see for my platform:

Version: Linux 2.6.35.11-83.fc14.x86_64
Location:
Description: Linux Operating System

Mike, can you please give it another try with a recent build?
Comment 5 Mike Foley 2011-04-21 16:58:47 EDT
Version :	
Linux 2.6.35.12-88.fc14.x86_64

Verified on RHQ 4.0 CR1
Comment 6 Corey Welton 2011-05-23 21:08:24 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.